#!/usr/bin/env python
# encoding: utf-8

"""
Producing then compiling templates
"""

from bopytex.scheduler import Scheduler


def orcherstrator(
    options: dict,
    planner,
    dispatcher,
):
    tasks = planner(options)

    scheduler = Scheduler(dispatcher, [options["template"]])
    scheduler.append(tasks)

    for message in scheduler.backlog():
        yield message


# -----------------------------
# Reglages pour 'vim'
# vim:set autoindent expandtab tabstop=4 shiftwidth=4:
# cursor: 16 del
