from bopytex.planner import fake_planner
from bopytex.service import orcherstrator
from bopytex.tasks import Task
from bopytex.worker import Dispatcher
from .fakes.workers import fake_worker


def test_service():
    options = {"quantity": 3, "template": "tpl_src.tex"}
    dispatcher = Dispatcher(actions={"DO": fake_worker})

    service = orcherstrator(options, fake_planner.simple, dispatcher)

    for i, message in enumerate(service):
        assert message.status == 0
        assert message.out == [f"FAKE - {{'number': {i}}} - [] - {i}"]
